
From: Anton Blanchard <anton@samba.org>

Reset cache_hot_time to sane values (in the ms range).  Some recent changes
resulted in values in the us range.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/topology.h   |    2 +-
 25-akpm/include/asm-ppc64/topology.h  |    2 +-
 25-akpm/include/asm-x86_64/topology.h |    2 +-
 25-akpm/include/linux/topology.h      |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-i386/topology.h~sched-reset-cache_hot_time include/asm-i386/topology.h
--- 25/include/asm-i386/topology.h~sched-reset-cache_hot_time	2004-11-04 21:38:55.641626136 -0800
+++ 25-akpm/include/asm-i386/topology.h	2004-11-04 21:38:55.648625072 -0800
@@ -78,7 +78,7 @@ static inline cpumask_t pcibus_to_cpumas
 	.max_interval		= 32,			\
 	.busy_factor		= 32,			\
 	.imbalance_pct		= 125,			\
-	.cache_hot_time		= (10*1000),		\
+	.cache_hot_time		= (10*1000000),		\
 	.cache_nice_tries	= 1,			\
 	.per_cpu_gain		= 100,			\
 	.flags			= SD_LOAD_BALANCE	\
diff -puN include/asm-ppc64/topology.h~sched-reset-cache_hot_time include/asm-ppc64/topology.h
--- 25/include/asm-ppc64/topology.h~sched-reset-cache_hot_time	2004-11-04 21:38:55.642625984 -0800
+++ 25-akpm/include/asm-ppc64/topology.h	2004-11-04 21:38:55.648625072 -0800
@@ -46,7 +46,7 @@ static inline int node_to_first_cpu(int 
 	.max_interval		= 32,			\
 	.busy_factor		= 32,			\
 	.imbalance_pct		= 125,			\
-	.cache_hot_time		= (10*1000),		\
+	.cache_hot_time		= (10*1000000),		\
 	.cache_nice_tries	= 1,			\
 	.per_cpu_gain		= 100,			\
 	.flags			= SD_LOAD_BALANCE	\
diff -puN include/asm-x86_64/topology.h~sched-reset-cache_hot_time include/asm-x86_64/topology.h
--- 25/include/asm-x86_64/topology.h~sched-reset-cache_hot_time	2004-11-04 21:38:55.643625832 -0800
+++ 25-akpm/include/asm-x86_64/topology.h	2004-11-04 21:38:55.649624920 -0800
@@ -42,7 +42,7 @@ static inline cpumask_t __pcibus_to_cpum
 	.max_interval		= 32,			\
 	.busy_factor		= 32,			\
 	.imbalance_pct		= 125,			\
-	.cache_hot_time		= (10*1000),		\
+	.cache_hot_time		= (10*1000000),		\
 	.cache_nice_tries	= 1,			\
 	.per_cpu_gain		= 100,			\
 	.flags			= SD_LOAD_BALANCE	\
diff -puN include/linux/topology.h~sched-reset-cache_hot_time include/linux/topology.h
--- 25/include/linux/topology.h~sched-reset-cache_hot_time	2004-11-04 21:38:55.645625528 -0800
+++ 25-akpm/include/linux/topology.h	2004-11-04 21:38:55.649624920 -0800
@@ -113,7 +113,7 @@ static inline int __next_node_with_cpus(
 	.max_interval		= 4,			\
 	.busy_factor		= 64,			\
 	.imbalance_pct		= 125,			\
-	.cache_hot_time		= (5*1000/2),		\
+	.cache_hot_time		= (5*1000000/2),	\
 	.cache_nice_tries	= 1,			\
 	.per_cpu_gain		= 100,			\
 	.flags			= SD_LOAD_BALANCE	\
_
